Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1056250 - system reboots instead of shutting down [NEEDINFO]
Summary: system reboots instead of shutting down
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-21 19:01 UTC by Jiri Moskovcak
Modified: 2015-02-01 22:56 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-20 00:48:26 UTC
lpoetter: needinfo? (jmoskovc)


Attachments (Terms of Use)

Description Jiri Moskovcak 2014-01-21 19:01:35 UTC
Description of problem:
Sometimes when I turn off the computer using the menu in gnome-shell it reboots instead of shutting down. This bug is very dangerous because if don't notice it and put the laptop to bag it can overheat as it happened to me.

Version-Release number of selected component (if applicable):
systemd-204-18.fc19.x86_64

How reproducible:
occasionally

Steps to Reproduce:
1. click on reboot button
2. wait for the laptop to shutdown or reboot
3.

Actual results:
sometimes it turns off, sometimes

Expected results:
system stays off

Additional info:
seems like it's here since F15

Comment 1 Lennart Poettering 2014-01-23 12:58:56 UTC
Most likely this is some issue between the kernel and the hardware/BIOS.

Can you try to reproduce this with "debug plymouth.enable=0" on the kernel command line and "quiet" removed from it? Try to shutdown with "systemctl poweroff -f". This should pretty quickly shut down, without iterating though the usual shutdown procedure, but without losing data. It should generate quite a bit of addition output at shutdown. Keep looking for the last line you see, and whether that is "Rebooting." or whether than it is "Powering off". If it's the latter and the machine nonetheless reboots, then this is kernel/bios/hw problem, otherwise it is a systemd/gnome/... problem.

Comment 2 Lennart Poettering 2014-06-20 00:48:26 UTC
Closing due to lack of response.


Note You need to log in before you can comment on or make changes to this bug.